function onBegin()
	disableRetry()
	disableMovement()
	makeUnskippable()
	player.ForceCameraUpdate = true
	runTo(100000, true)
	enableMovement()
	enableRetry()
end



function onEnd(level, wasSkipped)
	if wasSkipped then
		completeArea ()
	end
end

